1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37
|
#!/bin/sh
srcdir=$(dirname "$0")
test -z "$srcdir" && srcdir=.
ORIGDIR=$(pwd)
set -x
cd "$srcdir" || {
echo "error changing to dir '$srcdir'"
exit
}
aclocal -I m4macros \
&& autoheader \
&& automake --gnu --add-missing \
&& autoconf
cd "$ORIGDIR" || {
echo "error changing to idir '$ORIGDIR'"
exit
}
set -
echo "$srcdir"/configure "$@"
"$srcdir"/configure "$@"
RC=$?
if test $RC -ne 0; then
echo
echo "Configure failed or did not finish!"
exit $RC
fi
echo
echo "Now type 'make' to compile Tinyproxy."
|